# This is the property file for the QSB
# logging system. The QSB uses the
# Log4J system.

# Define a logger
log4j.logger.edu.uprm.admg.nettraveler.qsb.QSB=DEBUG, qsbFile, qsbConsole
#log4j.logger.edu.uprm.admg.nettraveler.qsb.QSB=INFO, file, console

# QSB Appender
log4j.appender.qsbFile=org.apache.log4j.RollingFileAppender
log4j.appender.qsbFile.File=${nettraveler.home}/logs/qsb.log
log4j.appender.qsbFile.Threshold=DEBUG
log4j.appender.qsbConsole=org.apache.log4j.ConsoleAppender
log4j.appender.qsbConsole.Threshold=DEBUG

# QSB Appender File size
log4j.appender.qsbFile.MaxFileSize=100KB

# QSB Appender Keep 5 backups
log4j.appender.qsbFile.MaxBackupIndex=5

# QSB Appender uses Pattern Layout
log4j.appender.qsbFile.layout=org.apache.log4j.PatternLayout
log4j.appender.qsbFile.layout.ConversionPattern=%5p %r [%t] %d{ISO8601} - %m%n
log4j.appender.qsbConsole.layout=org.apache.log4j.PatternLayout
log4j.appender.qsbConsole.layout.ConversionPattern=%5p %r [%t] %d{ISO8601} (%L) - %m%n